Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui
Class Document

    java.lang.Object
      ru.biosoft.gui.Document

All Implemented Interfaces:
  ApplicationDocument

Direct Known Subclasses:
  DiagramDocument, RepositoryDocument

public abstract class Document
extends java.lang.Object
implements ApplicationDocument

Document concept definition.

Field Summary
`protected static org.apache.log4j.Category` | `log`
`protected int` | `transactionStack`
`protected com.beanexplorer.undo.TransactionUndoManager` | `undoManager`

Constructor Summary
`Document(java.lang.Object model)`

Method Summary
`void` | `applyEditorChanges()`
`void` | `close()` Close document.
`protected void` | `doUpdate()`
`abstract java.lang.String` | `getDisplayName()` Returns document display name.
`java.lang.Object` | `getModel()`
`com.beanexplorer.undo.TransactionUndoManager` | `getUndoManager()`
`ViewPane` | `getViewPane()`
`protected void` | `removeListeners()` Removes listeners from shared editors and save changes
`void` | `setActive(boolean isActive)`
`void` | `update()`
`void` | `updateActionsState()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### transactionStack

    protected int transactionStack

### undoManager

    protected com.beanexplorer.undo.TransactionUndoManager undoManager

Constructor Detail

### Document

    public Document(java.lang.Object model)

Method Detail

### getModel

    public java.lang.Object getModel()

### getDisplayName

    public abstract java.lang.String getDisplayName()

  Returns document display name. This name will be shown as corresponding tab title.

  Specified by:
    `getDisplayName` in interface `ApplicationDocument`
  Returns:
    Display name of the document.

### getViewPane

    public ViewPane getViewPane()

### getUndoManager

    public com.beanexplorer.undo.TransactionUndoManager getUndoManager()

### removeListeners

    protected void removeListeners()

  Removes listeners from shared editors and save changes

### setActive

    public void setActive(boolean isActive)

### applyEditorChanges

    public void applyEditorChanges()

### close

    public void close()

  Description copied from interface: `ApplicationDocument`
  Close document. Document should release all resource, save its state and other... After calling this method no one method of ApplicationDocument never called.

  Specified by:
    `close` in interface `ApplicationDocument`

### updateActionsState

    public void updateActionsState()

### update

    public void update()

### doUpdate

    protected void doUpdate()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.